EDIT - feature request #3369

Lucene search factory or builder implemented
03/26/2013 04:14 PM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

currently eu.etaxonomy.cdm.config.Configuration.luceneVersion provides the lucene version number for lucene related instances.

A better solution for the future would be to provide all Lucene related instances of LuceneSearch, etc via a special factory. This
factors would be a spring bean and thus could have access to the hibernate configuration.

see java doc of eu.etaxonomy.cdm.config.Configuration.luceneVersion

History

#1 - 07/02/2021 06:58 PM - Andreas Miiller
- Tags set to search, lucene

- Description updated

#2 - 09/17/2021 05:55 PM - Andreas Miiller

- Target version changed from cdmlib - Old Next Major Release to Unassigned CDM tickets

- Private changed from Yes to No
